UM .NET API 6.17.1

- Main Page
- Related Pages
- Packages
- Classes

- Class List
- Class Hierarchy
- Class Members

Public Member Functions | List of all members
com.latencybusters.lbm.UMERegistrationSuccessInfo Class Reference

UME Registration Success Info class. More...

## Public Member Functions
| UMERegistrationSuccessInfo ()
| Creates a UMERegistrationSuccessInfo object and initializes all fields to 0/null.
| UMERegistrationSuccessInfo (int flags, uint sourceRegId, uint receiverRegId, uint sequenceNumber, ushort storeIndex, string store)
| Creates a UMERegistrationSuccessInfo object and initializes fields to supplied values. More...
int | flags ()
| Get registration success flags. More...
uint | sourceRegistrationId ()
| Get source registration ID. More...
uint | receiverRegistrationId ()
| Get receiver registration ID. More...
uint | sequenceNumber ()
| Get starting sequence number. More...
ushort | storeIndex ()
| Get index of the store successfully registered with. More...
string | store ()
| Get name (IP address) of the store successfully registered with. More...
UInt64 | sourceSessionId ()
| Get the session ID of the source. More...

## Detailed Description

UME Registration Success Info class.

Contains extended information for UME registration success messages, like flags indicating any conditions on store registration, source and receiver registration IDs, and the store's name and group index.

## Constructor & Destructor Documentation

com.latencybusters.lbm.UMERegistrationSuccessInfo.UMERegistrationSuccessInfo | ( | int | flags,
|  | uint | sourceRegId,
|  | uint | receiverRegId,
|  | uint | sequenceNumber,
|  | ushort | storeIndex,
|  | string | store
| ) |  |

Creates a UMERegistrationSuccessInfo object and initializes fields to supplied values.

Parameters

  flags | Flags concerning the type of registration.
  sourceRegId | Source registration ID (must be >= 0).
  receiverRegId | Receiver registration ID (must be >= 0).
  sequenceNumber | Starting sequence number.
  storeIndex | Index of store registered with (must be >= 0).
  store | Name (IP address) of store registered with.

Exceptions

  com.latencybusters.lbm.LBMEInvalException | UME source registration ID was < 0.
  com.latencybusters.lbm.LBMEInvalException | UME receiver registration ID was < 0.
  com.latencybusters.lbm.LBMEInvalException | UME sequence number was < 0.
  com.latencybusters.lbm.LBMEInvalException | UME store index was < 0.

## Member Function Documentation

int com.latencybusters.lbm.UMERegistrationSuccessInfo.flags | ( |  | ) |

Get registration success flags.

Returns
  Flags.

uint com.latencybusters.lbm.UMERegistrationSuccessInfo.receiverRegistrationId | ( |  | ) |

Get receiver registration ID.

Returns
  Receiver registration ID.

uint com.latencybusters.lbm.UMERegistrationSuccessInfo.sequenceNumber | ( |  | ) |

Get starting sequence number.

Returns
  Starting sequence number.

uint com.latencybusters.lbm.UMERegistrationSuccessInfo.sourceRegistrationId | ( |  | ) |

Get source registration ID.

Returns
  Source registration ID.

UInt64 com.latencybusters.lbm.UMERegistrationSuccessInfo.sourceSessionId | ( |  | ) |

Get the session ID of the source.

Returns
  Source Session Id

string com.latencybusters.lbm.UMERegistrationSuccessInfo.store | ( |  | ) |

Get name (IP address) of the store successfully registered with.

Returns
  Name (IP address) of the store.

ushort com.latencybusters.lbm.UMERegistrationSuccessInfo.storeIndex | ( |  | ) |

Get index of the store successfully registered with.

Returns
  Index of the store.

The documentation for this class was generated from the following file:

- UMERegistrationSuccessInfo.cs